import * as React from 'react';
import { AutoCompleteOpts } from './interface';
export default class extends React.PureComponent<AutoCompleteOpts> {
    state: {
        options: any[];
    };
    fetchData(text?: string): Promise<void>;
    componentDidMount(): void;
    render(): JSX.Element;
}
